Get User Auth
curl --request GET \
--url https://api.klavis.ai/user/{userId}/auth/{serverName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/user/{userId}/auth/{serverName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/user/{userId}/auth/{serverName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/user/{userId}/auth/{serverName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"userId": "<string>",
"serverName": "<string>",
"isAuthenticated": true,
"authData": {},
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}User Auth / OAuth
Get User Auth
Retrieves authentication data for a specific integration for a user.
Returns the authentication data if available, along with authentication status. Includes token refresh handling if needed.
GET
/
user
/
{userId}
/
auth
/
{serverName}
Get User Auth
curl --request GET \
--url https://api.klavis.ai/user/{userId}/auth/{serverName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/user/{userId}/auth/{serverName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/user/{userId}/auth/{serverName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/user/{userId}/auth/{serverName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"userId": "<string>",
"serverName": "<string>",
"isAuthenticated": true,
"authData": {},
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Klavis AI API key.
Path Parameters
The identifier for the user
Minimum string length:
1The name of the MCP server (e.g., 'GitHub', 'Jira')
Available options:
Affinity, Airtable, Amplitude, Asana, Attio, Box, Brave Search, Cal.com, Canva, ClickUp, Close, Cloudflare, Coinbase, Confluence, Dialpad, Discord, Doc2markdown, DocuSign, Dropbox, ElevenLabs, Exa, Fathom, Fetch URL, Figma, Fireflies, Firecrawl Deep Research, Firecrawl Web Search, Freshdesk, GitHub, GitLab, Gmail, Gong, Google Calendar, Google Docs, Google Drive, Google Jobs, Google Sheets, Google Forms, Google Cloud, GoogleWorkspaceAtlas, Hacker News, Heygen, HubSpot, Intercom, Jira, Klaviyo, Klavis ReportGen, Linear, LinkedIn, Markdown2doc, Mem0, Microsoft Teams, Mixpanel, Monday, Moneybird, Motion, Notion, OneDrive, Openrouter, Outlook Mail, Outlook Calendar, PagerDuty, Pipedrive, Plai, Postgres, PostHog, Postman, QuickBooks, Resend, Salesforce, SendGrid, Shopify, Slack, Snowflake, Stripe, Supabase, Tavily, Vercel, WhatsApp, WordPress, YouTube, Zendesk, ServiceNow, PayPal, Sentry, Netlify, Hugging Face, Square, Clockwise, Jotform, Honeycomb, Zoho Mail, Sharesight, Weights and Biases, Instagram, MongoDB Response
Successful Response
The user identifier
The name of the server
Whether the server has authentication data configured
The authentication data if available
